Navegando neste Tópico:   1 usuários anônimos





problemas ao instalar pacote rpm ViennaRNA (falta do glibc 2.14)
Just popping in
Cadastrado em:
9/4/2009 14:49
Grupo:
Registered Users
Mensagens: 2
Offline
Bom dia,
Trabalho com bioinformática e estou tentando instalar o pacote ViennaRNA-2.1.7-1.fc19.x86_64.rpm.
Tudo correu bem ao tentar usar o rpm -i, exceto duas dependencias que não foram atendidas. Uma eu resolvi a outra, não houve como.
Ele solicita a instaçlação da GLIBC 2.14, mas só encontrei a 2.12 disponível em todos os sites.
Veja como ficou:
sudo rpm -i ViennaRNA-2.1.7-1.fc19.x86_64.rpm
error: Failed dependencies:
libc.so.6(GLIBC_2.14)(64bit) is needed by ViennaRNA-2.1.7-1.fc19.x86_64
Alguém poderia me ajudar fonecendo uma solução para esse caso?

Agradeço desde já pela ajuda!


Enviado em: 27/5/2014 12:45
Transferir mensagem para outros aplicativos Transferir


Re: problemas ao instalar pacote rpm ViennaRNA (falta do glibc 2.14)
Home away from home
Cadastrado em:
11/4/2012 21:42
De Americana - SP
Grupo:
Registered Users
Mensagens: 376
Offline
Olá.

O pacote que vc está tentando instalar provavelmente foi compilado para o Fedora, que normalmente está bem mais adiantado em versões. Estar sempre à frente não é a política principal do centos.

Por outro lado a glib é um pacote crítico para linux e vc pode ter um pouco ou muito trabalho se for optar por querer mudar. Eu mesmo nunca tentei isso e provavelmente nunca o faria no centos, pois poderia desencadear problemas diversos, e problemas em um servidor é que ninguém quer, por isso a idéia de mudar coisas estruturais nessa distro é para mim uma opção descartada.

Na sua situação eu tentaria as seguintes alterntivas :

1) Encontrar a versão do software que vc precisa compilado para o centos 6
2) Utilizar uma versão diferente do seu software já compilado para o centos 6
3) Se o centos não for obrigatório para vc, utilizar outra distro que se adeque melhor àa versão do seu software que você precisa, por exemplo o próprio fedora.

Você pode baixar essa versão e instalar como no meu exemplo :


ftp://ftp.pbone.net/mirror/ftp5.gwdg ... aRNA-1.8.5-8.1.x86_64.rpm


ftp://ftp.pbone.net/mirror/ftp5.gwdg.de/pub/opensuse/repositories/home:/halocaridina/CentOS_CentOS-6/x86_64/ViennaRNA-1.8.5-8.1.x86_64.rpm


[root@linuxserver tmp]# mkdir viennarna
[root@linuxserver tmp]# cd viennarna/
[root@linuxserver viennarna]# cp /home/admlinux/Downloads/ViennaRNA-1.8.5-8.1.x86_64.rpm  . 
[root@linuxserver viennarna]# yum install ViennaRNA-1.8.5-8.1.x86_64.rpm 
Loaded pluginsfastestmirrorrefresh-packagekit
Loading mirror speeds from cached hostfile
 
basecentos.xpg.com.br
 
epelmirror.globo.com
 
epel-sourcemirror.globo.com
 
extrascentos.xpg.com.br
 
rpmforgerepoforge.xpg.com.br
 
rpmfusion-free-updateswww.fedora.is
 
rpmfusion-nonfree-updateswww.fedora.is
 
updatescentos.xpg.com.br
Setting up Install Process
Examining ViennaRNA
-1.8.5-8.1.x86_64.rpmViennaRNA-1.8.5-8.1.x86_64
Marking ViennaRNA
-1.8.5-8.1.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ViennaRNA.x86_64 0:1.8.5-8.1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================================================================
 
Package                                              Arch                                              Version                                                 Repository                                                              Size
=============================================================================================================================================================================================================================================
Installing:
 
ViennaRNA                                            x86_64                                            1.8.5-8.1                                               /ViennaRNA-1.8.5-8.1.x86_64                                             11 M

Transaction Summary
=============================================================================================================================================================================================================================================
Install       1 Package(s)

Total size11 M
Installed size
11 M
Is this ok 
[y/N]: y
Downloading Packages
:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing 
ViennaRNA-1.8.5-8.1.x86_64                                                                                                                                                                                                1/
  Verifying  
ViennaRNA-1.8.5-8.1.x86_64                                                                                                                                                                                                1/

Installed
:
  
ViennaRNA.x86_64 0:1.8.5-8.1                                                                                                                                                                                                               

Complete
!
[
root@linuxserver viennarna]#



Boa sorte.


Enviado em: 28/5/2014 21:55
Transferir mensagem para outros aplicativos Transferir


Re: problemas ao instalar pacote rpm ViennaRNA (falta do glibc 2.14)
Home away from home
Cadastrado em:
11/4/2012 21:42
De Americana - SP
Grupo:
Registered Users
Mensagens: 376
Offline
... melhorando um pouco a quebra do texto :) ...


Olá.

O pacote que vc está tentando instalar provavelmente foi compilado
para o Fedora, que normalmente está bem mais adiantado em versões.
Estar sempre à frente não é a política principal do centos nem do
RHEL.

Por outro lado a glib é um pacote crítico para linux e vc pode ter
um pouco ou muito trabalho se for optar por querer mudar. Eu mesmo
nunca tentei isso e provavelmente nunca o faria no centos, pois
poderia desencadear problemas diversos, e problemas em um servidor
é o que ninguém quer, por isso a idéia de mudar coisas estruturais
nessa distro é para mim uma opção descartada.

Na sua situação eu tentaria as seguintes alterntivas :

1) Encontrar a versão do software que vc precisa compilado para
o centos 6
2) Utilizar uma versão diferente do seu software já compilado para
o centos 6
3) Se o centos não for obrigatório para vc, utilizar outra distro
que se adeque melhor àa versão do seu software que você precisa,
por exemplo o próprio fedora.

Você pode baixar essa versão e instalar como no meu exemplo :


... restante ver mensagem anterior :) ...


Até mais ...



Enviado em: 28/5/2014 22:02
Transferir mensagem para outros aplicativos Transferir


Re: problemas ao instalar pacote rpm ViennaRNA (falta do glibc 2.14)
Home away from home
Cadastrado em:
19/4 3:00
De Tbilisi
Grupo:
Registered Users
Mensagens: 3289
Offline

Enviado em: 30/4 17:28
Transferir mensagem para outros aplicativos Transferir






Você pode exibir os tópicos.
Você não pode iniciar um novo tópico.
Você não pode responder.
Você não pode editar.
Você não pode excluir mensagens.
Você não pode incluir votações.
Você não pode votar.
Você não pode anexar arquivos.
Você não pode enviar mensagens sem aprovação.

[Pesquisa Avançada]